LINUX.ORG.RU

Давайте уж нормальное введение в эту помойку.

AMDGPU All-Open
AMDGPU-Pro Driver

В чём разница? В Pro блоб? Кто из них в состоянии работать без шланга в системе? Каков список зависимостей у каждого? Соотношение FPS по паритету покупательной способности per capita?

LamerOk ★★★★★ ()
Ответ на: комментарий от LamerOk

Покупательной способности давно уже нет.

Шланг заметил что в новых дровах требуется актуальный, а именно 9й, а не как ранее древний 7й, может даже удастся системный использовать, а не как раньше встроенный приходилось использовать.

Я использую драйвер из dkms. Разницы давно не замечал. Для меня актуально то, что теперь не нужен зоопарк шлангов и старый шланг.

Без шланга и cmake сейчас ничего хорошего не бывает.

Deleted ()
Ответ на: комментарий от Deleted

Без шланга и cmake сейчас ничего хорошего не бывает.

У тебя, поди, и звуковушка без MS Office не работает.

LamerOk ★★★★★ ()
Ответ на: комментарий от LamerOk

А зачем мне звуковушка ? Чтобы индусов на ютубе слушать подобно тебе и их касты читать в вордовских файлах на ломанном инглише ?

Deleted ()

Чтож, последняя попытка. Если не пофиксили всё дерьмо - APU на помойку

mittorn ★★★★★ ()
Ответ на: комментарий от mittorn

Тандем Intel Core i7-8705G Processor with Radeon RX Vega M GL graphics как бы намекает, что кристаллы GPU должны быть отдельно от кристалла CPU.

А если хочется ещё большего, то все мобильные устройства в сторону и использовать топовые процессоры AMD (без встройки псевдоGPU) + топовые карты от NVidia

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)

Непонятно. 5700 уже работает на amdgpu который не pro?

xDShot ★★★★★ ()

А в списке поддерживаемых устройств опять отсутствует HD7970. Вот это облом ... придётся на свободных дровах сидеть, ничего не попишешь тут.

Desmond_Hume ★★★★★ ()
Ответ на: комментарий от Desmond_Hume

А почему эта карта должна была там появится? Это не оскорбление, мне просто интересно.

anonymous ()
Ответ на: комментарий от anonymous

Потому что в списке

AMD Radeon™ HD7700/7800/8500/8600

явно пропущена эта серия. :(

Desmond_Hume ★★★★★ ()

Итак, на pro дровах два моника работают, это уже успех, в убунте второй раньше только на свободных работал.
Второе, я чёт не понял, вот для opensuse libdrm-amdgpu есть, а где libdrm-amdgpu-32bit? В amd светлое бескостыльное будущее уже наступило, только стим про это ещё не знает:

OpenGL GLX context is not using direct rendering, which may cause performance problems.

For more information visit https://support.steampowered.com/kb_article.php?ref=9938-EYZB-7457.
Но
glxinfo | grep "direct rendering"
direct rendering: Yes
Итог: поставил и снёс, разница со свободными есть не в пользу pro

ss_ash ★★★ ()
Ответ на: комментарий от Desmond_Hume

отсутствует HD7970

Вряд ли эти карты 2012 года будут добавлены в проприетарные дрова.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от ss_ash

libdrm-amdgpu-32bit?

Игрушки не интересуют меня. 32 бита тем более не интересны. Стиму придется подтягиваться и надеюсь они это смогут сделать оперативно.

Deleted ()
Ответ на: комментарий от xDShot

5700 уже работает на amdgpu который не pro?

Полностью потенциал раскрывается вероятно только на pro. Если интересует GPU как вычислительное устройство для тренировки своих нейронных сетей, то можнно попробовать rocm, кодовая база которого подобна в dmks подобна pro.

Deleted ()
Ответ на: комментарий от Deleted

индусов

Что за намёки на разработчиков амд, раб хуанга?

anonymous ()
Ответ на: комментарий от Desmond_Hume

ну.. там есть проблемка которая не позволяет дать именно этим чипам официальный уровень поддержки, хотя по большей части оно прекрасно работает.. и скорее всего про драйвера с официальной поддержкой на таити так и не завезут.

Thero ★★★★★ ()
Ответ на: комментарий от Deleted

Как ты это себе представляешь? Тащить с собой драйвера?

mittorn ★★★★★ ()
Ответ на: комментарий от mittorn

А кто-то представлял себе что производители забросят 32-битные процессоры ? Вполне может статься, что производители железа, да и разработчики топовых ОСей в целях оптимизации своих расходов, пожелают отказаться от поддержики 32-бит в своих драйверах, причем очень скоро. Ведь 32-битные процессоры в новых ядрах linux не поддерживаются, флопы выкинуть желали. Это все делается не потому разработчики не любят пользователей, а в целях экономии сил и средств на развитие и поддержку своих продуктов.

Deleted ()
Ответ на: комментарий от ss_ash

Вот свободные, с дривером сайта АМД очень редкие «посевы» и играбельно. Дело ведь не в играх, а в работе железки. https://radikal.ru/video/T5qRWEwwhcH

anonymous ()
Ответ на: комментарий от ss_ash

а где libdrm-amdgpu-32bit?

32-bit libraries are automatically installed with Pro OpenGL component when installation is performed using amdgpu-install script.

gremlin_the_red ★★ ()
Ответ на: комментарий от Deleted

Ведь 32-битные процессоры в новых ядрах linux не поддерживаются

Простите, что?

gremlin_the_red ★★ ()
Ответ на: комментарий от gremlin_the_red

habr

В конце 2012 года ядро Linux тоже решили оптимизировать и слегка очистить от старого кода. Линус Торвальдс одобрил pull request, в соответствии с которым из ядра уберут поддержку спецификаций i386. Они используются в процессорах AMD/Cyrix/Intel 386DX/DXL/SL/SLC/SX, Cyrix/TI 486DLC/DLC2, UMC 486SX-S и NexGen Nx586. Устранив поддержку старых CPU, можно сократить исходный код на 369 строк (56+ 425-).

И действительно зачем старый хлам в новых ядрах поддерживать, если компьютеры с РАМой меньше 16Гб тормозят до жути ?

Deleted ()
Последнее исправление: Deleted (всего исправлений: 3)
Ответ на: комментарий от gremlin_the_red

Кроме i386, ещё есть i486 и i686 — они тоже вроде бы 32 бита. И пока их не выбросили вроде бы, но думаю вскоре и на них покушаться Линус Торвальдс станет.

Deleted ()
Ответ на: комментарий от Deleted

Ты хоть в курсе, что i80386 ≠ x86? Да, из ядра выкинули i386, из дебиана (и, соответственно, всех деривативов) выкинули i586, но всё, что PPro и выше до сих пор вполне поддерживается. Хотя стоило бы уже начать закапывать, да.

gremlin_the_red ★★ ()
Ответ на: комментарий от gremlin_the_red

Конечно логично, все что не умеет AVX2 дропнуть, но пока ещё держутся у меня Phenome X6 три стареньких стенда, но я уже кошусь в их сторону, дропнуть их, и думаю, то ли материнки им заменить на новые, что умеют 32Гб РАМы держать и имеют порты USB 3.0, то ли действительно некрофилировать заканчивать :)

Deleted ()
Ответ на: комментарий от gremlin_the_red

Я разве упоминал о х86 ?

К тому же:

In current terminology x86 normally indicates 32-bits, with x86-64 or x64 indicating 64-bits.

Я писал о 32битном ретрохламе в целом, в частности и о i386. О том, что 32битность давно уже прикапывают.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)

Подскажите, чем отличаются драйверы Radeon от драйверов AMD?

Windows ★★ ()
Ответ на: комментарий от Deleted

Ты писал, цитирую: " Ведь 32-битные процессоры в новых ядрах linux не поддерживаются". 32-битные процессоры в ядре линукс поддерживаются.

gremlin_the_red ★★ ()
Ответ на: комментарий от gremlin_the_red

Пока поддерживаются, лишь формально, и то уже не все :) надеюсь что и остальные рудименты закопают полностью.

Работать на новых ядрах с ОЗУ меньше 16Гб не комфортно, потому можно смело говорить, что поддержки как таковой для старых 32битных железок больше нет от слова совсем, т.к. ни одна материнка под чисто 32битный процессор (такой который совсем не умеет 64бита) не держит 16Гб РАМЫ.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от Thero

Понятно. В следующий раз зайду на сайт производителя и промониторю ситуацию с дровами, прежде чем буду покупать видюху. Ну, так-то, соглашусь. На свободных вроде всё ок, кроме некоторых странных фризов (периодичности нет, просто либо бывают, либо нет - когда через месяц, когда через день, когда через полгода даст о себе знать), после которых тупо отключаются USB-порты на уровне питания (индикаторы не горят, перевтыкание мыши и клавы не помогает, тупо гаснет намертво) - лечится только перезагрузкой. Journalctl -xe смотрел, но не обнаружил ничего подозрительного. Но у меня ещё и процессор от AMD, так что тут не совсем понятно, кто больше виноват. В общем да, связываться с AMD - ещё то приключение ...

Desmond_Hume ★★★★★ ()
Последнее исправление: Desmond_Hume (всего исправлений: 1)
Ответ на: комментарий от Desmond_Hume

Зато недорого и скилы прокачать по устройству дров можно :)

А так конечно же для ендюзер только зелененькие, а для тех кто победнее красенькие, ничего не поменялось.

Deleted ()
Ответ на: комментарий от Deleted

Работать на новых ядрах с ОЗУ меньше 16Гб не комфортно

Простите, что? ×2

gremlin_the_red ★★ ()
Ответ на: комментарий от Desmond_Hume

язабан

В общем да, связываться с AMD - ещё то приключение ...

и ты думаеш в твою лживую клевету на АМД хоть ктото тут поверит????

anonymous ()
Ответ на: комментарий от gremlin_the_red

Не отвлекайся от просмотра хентайчиков.

Deleted ()
Ответ на: комментарий от Desmond_Hume

ну отвал усб это скорей приколюха от материнки.. ну а поддержка gcn первого поколения после 15 года носит легаси характер.. там где получилось легко добавить в амдгпу-про и ничего не отвалилось включили поддержку, там где выползли проблемы у некоторых моделей не включили.. жизненный цикл видях нынче не более 5 лет в среднем..

Thero ★★★★★ ()
Ответ на: комментарий от Deleted

ЕМНИП в те годы 7970 брали те кто побогаче.. впрочем тех кто брал её на вторичке когда она подешевела тоже можно понять наверное..

Thero ★★★★★ ()
Ответ на: комментарий от Thero

Брали их из-за FP64
Не добавляют поддержку по той же самой причине...

anonymous ()
Ответ на: комментарий от mittorn

Что в стиме должны делать с этим?

Рубить бабло продолжать, пока на том, что есть.

Про стим, да и в целом про игры, я уже написал ранее:

Игрушки не интересуют меня. 32 бита тем более не интересны. Стиму придется подтягиваться и надеюсь они это смогут сделать оперативно.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от anonymous

чёт сомнительно крашится оно с амдгпу не из-за использования фп64..

Thero ★★★★★ ()
Ответ на: комментарий от gremlin_the_red

Как бы сказать, мало того, что в скрипте баг (https://bugs.freedesktop.org/show_bug.cgi?id=111402), так даже если его (скрипт) и использовать вместо создания локального репозитория, то поддержки мультиарча всё равно не будет, так как её просто нет в «инсталляторе»

ss_ash ★★★ ()
Ответ на: комментарий от ss_ash

Простите, хочу узнать какие свободные драйвера вы имеете в виду и есть ли они на Arch (как называються)? Для игрушек естественно.

anonymous ()
Ответ на: комментарий от anonymous

Нет таких, без закрытых прошивок не обойтись.

anonymous ()
Ответ на: комментарий от gremlin_the_red

себя закопай, у меня последний линукс со самосборной системой нормально работает на пень1/16 мб рам!

anonymous ()
Ответ на: комментарий от gremlin_the_red

он туповатый немного, я бы его ебнул из говномета дададая

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.